Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class HttpClientWithTimeoutFeedFetcher

    java.lang.Object
      com.sun.syndication.fetcher.impl.AbstractFeedFetcher
          org.jivesoftware.util.HttpClientWithTimeoutFeedFetcher

All Implemented Interfaces:
  com.sun.syndication.fetcher.FeedFetcher

    public class HttpClientWithTimeoutFeedFetcher

extends com.sun.syndication.fetcher.impl.AbstractFeedFetcher

Feed fetcher implementation that times out the HTTP connection after 3 seconds which fixes a bug where users of the admin console who installed Clearspace behind a proxy server would have to wait upwards of 5 minutes in order for the HTTP connection to jivesoftware.com/blog/feed to timeout.

See Also:
  http://www.jivesoftware.com/issues/browse/CS-669

Nested Class Summary
`static interface` | `HttpClientWithTimeoutFeedFetcher.CredentialSupplier`

Field Summary

Fields inherited from interface com.sun.syndication.fetcher.FeedFetcher
`DEFAULT_USER_AGENT`

Constructor Summary
`HttpClientWithTimeoutFeedFetcher()`
`HttpClientWithTimeoutFeedFetcher(com.sun.syndication.fetcher.impl.FeedFetcherCache cache)`
`HttpClientWithTimeoutFeedFetcher(com.sun.syndication.fetcher.impl.FeedFetcherCache cache, HttpClientWithTimeoutFeedFetcher.CredentialSupplier credentialSupplier)`

Method Summary
`HttpClientWithTimeoutFeedFetcher.CredentialSupplier` | `getCredentialSupplier()`
`com.sun.syndication.fetcher.impl.FeedFetcherCache` | `getFeedInfoCache()`
`com.sun.syndication.feed.synd.SyndFeed` | `retrieveFeed(URL feedUrl)`
`void` | `setCredentialSupplier(HttpClientWithTimeoutFeedFetcher.CredentialSupplier credentialSupplier)`
`void` | `setFeedInfoCache(com.sun.syndication.fetcher.impl.FeedFetcherCache feedInfoCache)`

Methods inherited from class com.sun.syndication.fetcher.impl.AbstractFeedFetcher
`addFetcherEventListener, combineFeeds, fireEvent, fireEvent, fireEvent, fireEvent, getUserAgent, handleErrorCodes, isUsingDeltaEncoding, removeFetcherEventListener, setUserAgent, setUsingDeltaEncoding, throw4XXError, throwAuthenticationError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpClientWithTimeoutFeedFetcher

    public HttpClientWithTimeoutFeedFetcher()

### HttpClientWithTimeoutFeedFetcher

    public HttpClientWithTimeoutFeedFetcher(com.sun.syndication.fetcher.impl.FeedFetcherCache cache)

Parameters:
  `cache` -

### HttpClientWithTimeoutFeedFetcher

    public HttpClientWithTimeoutFeedFetcher(com.sun.syndication.fetcher.impl.FeedFetcherCache cache,
                                            HttpClientWithTimeoutFeedFetcher.CredentialSupplier credentialSupplier)

Method Detail

### getFeedInfoCache

    public com.sun.syndication.fetcher.impl.FeedFetcherCache getFeedInfoCache()

  Returns:
    the feedInfoCache.

### setFeedInfoCache

    public void setFeedInfoCache(com.sun.syndication.fetcher.impl.FeedFetcherCache feedInfoCache)

  Parameters:
    `feedInfoCache` - the feedInfoCache to set

### getCredentialSupplier

    public HttpClientWithTimeoutFeedFetcher.CredentialSupplier getCredentialSupplier()

  Returns:
    Returns the credentialSupplier.

### setCredentialSupplier

    public void setCredentialSupplier(HttpClientWithTimeoutFeedFetcher.CredentialSupplier credentialSupplier)

  Parameters:
    `credentialSupplier` - The credentialSupplier to set.

### retrieveFeed

    public com.sun.syndication.feed.synd.SyndFeed retrieveFeed(URL feedUrl)
                                                        throws IllegalArgumentException,
                                                               IOException,
                                                               com.sun.syndication.io.FeedException,
                                                               com.sun.syndication.fetcher.FetcherException

  Throws:
    `IllegalArgumentException`
    `IOException`
    `com.sun.syndication.io.FeedException`
    `com.sun.syndication.fetcher.FetcherException`
  See Also:
    `FeedFetcher.retrieveFeed(java.net.URL)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.